diff -Naur phpbb-3.1.0-RC3/feed.php phpbb-3.1.0-RC3-Pragma/feed.php
--- phpbb-3.1.0-RC3/feed.php	2014-08-11 19:34:31.000000000 +0200
+++ phpbb-3.1.0-RC3-Pragma/feed.php	2014-09-09 01:10:01.000000000 +0200
@@ -165,7 +165,6 @@
 	header('Content-type: text/html; charset=UTF-8');
 	header('Cache-Control: private, no-cache="set-cookie"');
 	header('Expires: 0');
-	header('Pragma: no-cache');
 
 	$mtime = explode(' ', microtime());
 	$totaltime = $mtime[0] + $mtime[1] - $starttime;
diff -Naur phpbb-3.1.0-RC3/includes/acp/acp_database.php phpbb-3.1.0-RC3-Pragma/includes/acp/acp_database.php
--- phpbb-3.1.0-RC3/includes/acp/acp_database.php	2014-08-11 19:34:31.000000000 +0200
+++ phpbb-3.1.0-RC3-Pragma/includes/acp/acp_database.php	2014-09-09 01:13:24.000000000 +0200
@@ -269,7 +269,7 @@
 									break;
 								}
 
-								header('Pragma: no-cache');
+								header('Cache-Control: private, no-cache');
 								header("Content-Type: $mimetype; name=\"$name\"");
 								header("Content-disposition: attachment; filename=$name");
 
@@ -510,7 +510,7 @@
 		if ($download == true)
 		{
 			$name = $filename . $ext;
-			header('Pragma: no-cache');
+			header('Cache-Control: private, no-cache');
 			header("Content-Type: $mimetype; name=\"$name\"");
 			header("Content-disposition: attachment; filename=$name");
 
diff -Naur phpbb-3.1.0-RC3/includes/acp/acp_icons.php phpbb-3.1.0-RC3-Pragma/includes/acp/acp_icons.php
--- phpbb-3.1.0-RC3/includes/acp/acp_icons.php	2014-08-11 19:34:31.000000000 +0200
+++ phpbb-3.1.0-RC3-Pragma/includes/acp/acp_icons.php	2014-09-09 01:13:57.000000000 +0200
@@ -737,7 +737,7 @@
 				{
 					garbage_collection();
 
-					header('Pragma: public');
+					header('Cache-Control: public');
 
 					// Send out the Headers
 					header('Content-Type: text/x-delimtext; name="' . $mode . '.pak"');
diff -Naur phpbb-3.1.0-RC3/includes/functions.php phpbb-3.1.0-RC3-Pragma/includes/functions.php
--- phpbb-3.1.0-RC3/includes/functions.php	2014-08-11 19:34:31.000000000 +0200
+++ phpbb-3.1.0-RC3-Pragma/includes/functions.php	2014-09-09 01:09:44.000000000 +0200
@@ -5074,7 +5074,6 @@
 		'Content-type' => 'text/html; charset=UTF-8',
 		'Cache-Control' => 'private, no-cache="set-cookie"',
 		'Expires' => '0',
-		'Pragma' => 'no-cache',
 	);
 	if (!empty($user->data['is_bot']))
 	{
diff -Naur phpbb-3.1.0-RC3/includes/functions_acp.php phpbb-3.1.0-RC3-Pragma/includes/functions_acp.php
--- phpbb-3.1.0-RC3/includes/functions_acp.php	2014-08-11 19:34:31.000000000 +0200
+++ phpbb-3.1.0-RC3-Pragma/includes/functions_acp.php	2014-09-09 01:09:26.000000000 +0200
@@ -113,7 +113,6 @@
 		'Content-type' => 'text/html; charset=UTF-8',
 		'Cache-Control' => 'private, no-cache="set-cookie"',
 		'Expires' => '0',
-		'Pragma' => 'no-cache',
 	);
 
 	/**
diff -Naur phpbb-3.1.0-RC3/includes/functions_compress.php phpbb-3.1.0-RC3-Pragma/includes/functions_compress.php
--- phpbb-3.1.0-RC3/includes/functions_compress.php	2014-08-11 19:34:31.000000000 +0200
+++ phpbb-3.1.0-RC3-Pragma/includes/functions_compress.php	2014-09-09 01:14:41.000000000 +0200
@@ -509,7 +509,7 @@
 
 		$mimetype = 'application/zip';
 
-		header('Pragma: no-cache');
+		header('Cache-Control: private, no-cache');
 		header("Content-Type: $mimetype; name=\"$download_name.zip\"");
 		header("Content-disposition: attachment; filename=$download_name.zip");
 
@@ -757,7 +757,7 @@
 			break;
 		}
 
-		header('Pragma: no-cache');
+		header('Cache-Control: private, no-cache');
 		header("Content-Type: $mimetype; name=\"$download_name$this->type\"");
 		header("Content-disposition: attachment; filename=$download_name$this->type");
 
diff -Naur phpbb-3.1.0-RC3/includes/functions_download.php phpbb-3.1.0-RC3-Pragma/includes/functions_download.php
--- phpbb-3.1.0-RC3/includes/functions_download.php	2014-08-11 19:34:31.000000000 +0200
+++ phpbb-3.1.0-RC3-Pragma/includes/functions_download.php	2014-09-09 01:09:01.000000000 +0200
@@ -45,7 +45,7 @@
 
 	if ((@file_exists($file_path) && @is_readable($file_path)) && !headers_sent())
 	{
-		header('Pragma: public');
+		header('Cache-Control: public');
 
 		$image_data = @getimagesize($file_path);
 		header('Content-Type: ' . image_type_to_mime_type($image_data[2]));
@@ -175,7 +175,7 @@
 	}
 
 	// Now the tricky part... let's dance
-	header('Pragma: public');
+	header('Cache-Control: public');
 
 	// Send out the Headers. Do not set Content-Disposition to inline please, it is a security measure for users using the Internet Explorer.
 	header('Content-Type: ' . $attachment['mimetype']);
@@ -420,7 +420,7 @@
 		{
 			send_status_line(304, 'Not Modified');
 			// seems that we need those too ... browsers
-			header('Pragma: public');
+			header('Cache-Control: public');
 			header('Expires: ' . gmdate('D, d M Y H:i:s \G\M\T', time() + 31536000));
 			return true;
 		}
diff -Naur phpbb-3.1.0-RC3/includes/ucp/ucp_pm_viewfolder.php phpbb-3.1.0-RC3-Pragma/includes/ucp/ucp_pm_viewfolder.php
--- phpbb-3.1.0-RC3/includes/ucp/ucp_pm_viewfolder.php	2014-08-11 19:34:31.000000000 +0200
+++ phpbb-3.1.0-RC3-Pragma/includes/ucp/ucp_pm_viewfolder.php	2014-09-09 01:12:03.000000000 +0200
@@ -383,7 +383,7 @@
 				break;
 			}
 
-			header('Pragma: no-cache');
+			header('Cache-Control: private, no-cache');
 			header("Content-Type: $mimetype; name=\"data.$filetype\"");
 			header("Content-disposition: attachment; filename=data.$filetype");
 			echo $string;
diff -Naur phpbb-3.1.0-RC3/install/index.php phpbb-3.1.0-RC3-Pragma/install/index.php
--- phpbb-3.1.0-RC3/install/index.php	2014-08-11 19:34:31.000000000 +0200
+++ phpbb-3.1.0-RC3-Pragma/install/index.php	2014-09-09 01:06:56.000000000 +0200
@@ -446,7 +446,6 @@
 		header('Content-type: text/html; charset=UTF-8');
 		header('Cache-Control: private, no-cache="set-cookie"');
 		header('Expires: 0');
-		header('Pragma: no-cache');
 
 		return;
 	}
